package com.ruoyi.project.service;


import java.util.Date;
import java.util.List;
import java.util.Map;

public interface ITrsStatisticsService {
    int getTotalTexts(String siteId, Date startDate, Date endDate);
    
    int getProblemTexts(String siteId, Date startDate, Date endDate);
    
    List<Map<String, Object>> getHighFrequencyErrors(String siteId, Date startDate, Date endDate, int limit);
    
    Map<String, Object> getCommonErrors(String siteId, Date startDate, Date endDate);
    
    Map<String, Object> getPoliticalErrors(String siteId, Date startDate, Date endDate);




    int getTotalTexts_jd(String siteId, Date startDate, Date endDate);

    int getProblemTexts_jd(String siteId, Date startDate, Date endDate);

    List<Map<String, Object>> getHighFrequencyErrors_jd(String siteId,String res, Date startDate, Date endDate, int limit);

    Map<String, Object> getCommonErrors_jd(String siteId, Date startDate, Date endDate);

    Map<String, Object> getPoliticalErrors_jd(String siteId, Date startDate, Date endDate);

}